## ser-0.8.10 src

=== Makefile ===
# $Id: Makefile,v 1.96 2002/11/12 12:31:25 andrei Exp $
#
# sip_router makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  limited WinNT (cygwin) support

auto_gen=lex.yy.c cfg.tab.c   #lexx, yacc etc

#include  source related defs
include Makefile.sources

override exclude_modules:=CVS cpl cpl-c ext radius_acc radius_auth snmp \
	$(exclude_modules)
static_modules=
static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs= $(foreach  mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )
DEFS=$(static_defs)
modules=$(filter-out $(addprefix modules/, \
			$(exclude_modules) $(static_modules)), \
			$(wildcard modules/*))
modules_names=$(shell echo $(modules)| \
				sed -e 's/modules\/\([^/ ]*\)\/*/\1.so/g' )
modules_basenames=$(shell echo $(modules)| \
				sed -e 's/modules\/\([^/ ]*\)\/*/\1/g' )
#modules_names=$(patsubst modules/%, %.so, $(modules))
modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))

NAME=ser

ALLDEP=Makefile Makefile.sources Makefile.defs Makefile.rules

#include general defs (like CC, CFLAGS  a.s.o)
include Makefile.defs

#export relevant variables to the sub-makes
export DEFS PROFILE CC  LD MKDEP MKTAGS CFLAGS LDFLAGS MOD_CFLAGS MOD_LDFLAGS
export LEX YACC YACC_FLAGS


# include the common rules
include Makefile.rules

#extra targets 

$(NAME): static_modules

lex.yy.c: cfg.lex $(ALLDEP)
	$(LEX) $<

cfg.tab.c: cfg.y  $(ALLDEP)
	$(YACC) $(YACC_FLAGS) $<

.PHONY: all
all: $(NAME) modules



.PHONY: modules
modules:
	-@for r in $(modules) "" ; do \
		if [ -n "$$r" ]; then \
			echo  "" ; \
			echo  "" ; \
			$(MAKE) -C $$r ; \
		fi ; \
	done 

.PHONY: static_modules
static_modules:
	-@echo "Extra objs: $(extra_objs)" 
	-@for r in $(static_modules_path) "" ; do \
		if [ -n "$$r" ]; then \
			echo  "" ; \
			echo  "Making static module $r" ; \
			$(MAKE) -C $$r static ; \
		fi ; \
	done 


	
dbg: ser
	gdb -command debug.gdb

.PHONY: tar
tar: mantainer-clean 
	$(TAR) -C .. \
		--exclude=$(notdir $(CURDIR))/test \
		--exclude=$(notdir $(CURDIR))/tmp \
		--exclude=$(notdir $(CURDIR))/debian/ser \
		--exclude=$(notdir $(CURDIR))/debian/ser-mysql-module \
		 -zcf ../$(NAME)-$(RELEASE)_src.tar.gz  $(notdir $(CURDIR)) 

# binary dist. tar.gz
.PHONY: bin
bin:
	mkdir -p tmp/ser/usr/local
	$(MAKE) install basedir=tmp/ser prefix=/usr/local 
	$(TAR) -C tmp/ser/ -zcf ../$(NAME)-$(RELEASE)_$(OS)_$(ARCH).tar.gz .
	rm -rf tmp/ser

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -tc

.PHONY: sunpkg
sunpkg:
	mkdir -p tmp/ser
	mkdir -p tmp/ser_sun_pkg
	$(MAKE) install basedir=tmp/ser prefix=/usr/local
	(cd solaris; \
	pkgmk -r ../tmp/ser/usr/local -o -d ../tmp/ser_sun_pkg/ -v "$(RELEASE)" ;\
	cd ..)
	cat /dev/null > ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local
	pkgtrans -s tmp/ser_sun_pkg/ ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local \
		IPTELser
	gzip -9 ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local
	rm -rf tmp/ser
	rm -rf tmp/ser_sun_pkg


install: all mk-install-dirs install-cfg install-bin install-modules \
	install-doc install-man

.PHONY: dbinstall
dbinstall:
	-@echo "Initializing ser database"
	scripts/ser_mysql.sh create
	-@echo "Done"

mk-install-dirs: $(cfg-prefix)/$(cfg-dir) $(bin-prefix)/$(bin-dir) \
			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir) \
			$(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5

$(cfg-prefix)/$(cfg-dir): 
		mkdir -p $(cfg-prefix)/$(cfg-dir)

$(bin-prefix)/$(bin-dir):
		mkdir -p $(bin-prefix)/$(bin-dir)

$(modules-prefix)/$(modules-dir):
		mkdir -p $(modules-prefix)/$(modules-dir)


$(doc-prefix)/$(doc-dir):
		mkdir -p $(doc-prefix)/$(doc-dir)

$(man-prefix)/$(man-dir)/man8:
		mkdir -p $(man-prefix)/$(man-dir)/man8

$(man-prefix)/$(man-dir)/man5:
		mkdir -p $(man-prefix)/$(man-dir)/man5

install-cfg: $(cfg-prefix)/$(cfg-dir)
		sed -e "s#/usr/lib/ser/modules/#$(modules-target)#g" \
			< etc/ser.cfg > $(cfg-prefix)/$(cfg-dir)ser.cfg
		chmod 644 $(cfg-prefix)/$(cfg-dir)ser.cfg
#		$(INSTALL-CFG) etc/ser.cfg $(cfg-prefix)/$(cfg-dir)

install-bin: $(bin-prefix)/$(bin-dir) utils/gen_ha1/gen_ha1
		$(INSTALL-BIN) ser $(bin-prefix)/$(bin-dir)
		$(INSTALL-BIN) scripts/sc $(bin-prefix)/$(bin-dir)/serctl
		$(INSTALL-BIN) scripts/ser_mysql.sh  $(bin-prefix)/$(bin-dir)
		$(INSTALL-BIN) utils/gen_ha1/gen_ha1 $(bin-prefix)/$(bin-dir)

utils/gen_ha1/gen_ha1:
		cd utils/gen_ha1; $(MAKE) all

install-modules: modules $(modules-prefix)/$(modules-dir)
	-@for r in $(modules_full_path) "" ; do \
		if [ -n "$$r" ]; then \
			$(INSTALL-MODULES)  $$r  $(modules-prefix)/$(modules-dir) ; \
		fi ; \
	done 


install-doc: $(doc-prefix)/$(doc-dir)
	$(INSTALL-DOC) README $(doc-prefix)/$(doc-dir)
	$(INSTALL-DOC) README.cfg $(doc-prefix)/$(doc-dir)
	$(INSTALL-DOC) INSTALL $(doc-prefix)/$(doc-dir)
	$(INSTALL-DOC) README-MODULES $(doc-prefix)/$(doc-dir)
	$(INSTALL-DOC) AUTHORS $(doc-prefix)/$(doc-dir)
	-@for r in $(modules_basenames) "" ; do \
		if [ -n "$$r" ]; then \
			if [ -f modules/"$$r"/README ]; then \
				$(INSTALL-DOC)  modules/"$$r"/README  \
									$(doc-prefix)/$(doc-dir)/README."$$r" ; \
			fi ; \
		fi ; \
	done 

install-man: $(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5
	$(INSTALL-MAN)  ser.8 $(man-prefix)/$(man-dir)/man8
	$(INSTALL-MAN)  ser.cfg.5 $(man-prefix)/$(man-dir)/man5

=== freebsd/Makefile ===
# New ports collection makefile for:    ser
# Date created:        6 November 2002
# Whom:                andrei
#
# $FreeBSD$
#
# $Id: Makefile,v 1.3 2002/11/12 16:10:41 andrei Exp $
#


PORTNAME= ser
PORTVERSION= 0.8.10
CATEGORIES= net
MASTER_SITES= ftp://ftp.berlios.de/pub/ser/0.8.10/src/

MAINTAINER= pelinescu-onciul@fokus.gmd.de

MAN8=ser.8
MAN5=ser.cfg.5
MANCOMPRESSED= no


USE_GMAKE= yes
# we override the DISTFILE NAME
DISTNAME= ${PORTNAME}-${PORTVERSION}_src
WRKSRC= ${WRKDIR}/sip_router

pre-fetch:
	@echo "DEBUG: distfile=${DISTFILE}, distname=${DISTNAME}, w=${WRKSRC}"


.include <bsd.port.mk>

=== modules/acc/Makefile ===
# $Id: Makefile,v 1.3 2002/10/24 15:26:59 jiri Exp $
#
# acc module makefile
#
#
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=acc.so
LIBS=
#DEFS+=-DSQL_ACC

include ../../Makefile.modules

=== modules/auth/Makefile ===
# $Id: Makefile,v 1.1 2001/12/18 00:28:14 janakj Rel $
#
# print example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=auth.so
LIBS=

include ../../Makefile.modules

=== modules/cpl-c/Makefile ===
# $Id: Makefile,v 1.1 2002/08/14 16:24:37 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=cpl-c.so
LIBS= -L/usr/lib -lxml

include ../../Makefile.modules

=== modules/cpl/Makefile ===
# $Id: Makefile,v 1.1 2002/02/01 16:23:17 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=cpl.so
LIBS= #-lpthread

include ../../Makefile.modules

=== modules/exec/Makefile ===
# $Id: Makefile,v 1.2 2002/09/24 16:16:20 andrei Rel $
#
# exec module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=exec.so
LIBS=

include ../../Makefile.modules

=== modules/ext/Makefile ===
# $Id: Makefile,v 1.1 2002/07/08 11:04:35 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=ext.so
LIBS= 

include ../../Makefile.modules

=== modules/im/Makefile ===
# $Id: Makefile,v 1.1 2002/05/22 18:35:25 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=im.so
LIBS= 

include ../../Makefile.modules

=== modules/jabber/Makefile ===
# $Id: Makefile,v 1.4 2002/11/11 21:34:53 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=jabber.so
# expat.h location
DEFS+=-I/usr/local/include
LIBS=-L/usr/local/lib -lexpat

include ../../Makefile.modules

=== modules/maxfwd/Makefile ===
# $Id: Makefile,v 1.1 2002/01/25 22:08:57 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=maxfwd.so
LIBS= #-lpthread

include ../../Makefile.modules

=== modules/msilo/Makefile ===
# $Id: Makefile,v 1.4 2002/09/30 20:02:12 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=msilo.so
LIBS=

include ../../Makefile.modules

=== debian/changelog ===
ser (0.8.10) unstable; urgency=low

  * fixes lots of  bugs in 0.8.9 (log not working, ipv6 address conversion)
  
  * introduces port support in uri matching with myself
  
  * faster hash function (statefull performance increase ~10%)

  * modules updates (sms, jabber)

  * the jabber module is in a separate package now (it depends on libexpat)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 4 Nov 2002 17:23:37 +0200

ser (0.8.9) unstable; urgency=low

  * fixes a few bugs in 0.8.8 (primary some modules which where linked to some bad libs)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 7 Oct 2002 16:49:05 +0200

ser (0.8.8) unstable; urgency=low

  * first release (really this time)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 25 Sep 2002 23:27:11 +0200

ser (0.8.7.16) unstable; urgency=low

  * First Public Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 24 Sep 2002 21:33:39 +0200

ser (0.8.7.6-1) unstable; urgency=low

  * Initial Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200

=== debian/control ===
Source: ser
Section: net
Priority: optional
Maintainer: Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
Build-Depends: debhelper (>> 3.0.0), libmysqlclient-dev, libexpat1-dev, fakeroot
Standards-Version: 3.5.2

Package: ser
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ser-mysql-module, ser-jabber-module
Description: Sip Express Router, very fast and configurable SIP proxy
 ser or SIP Express Router is a very fast and flexible SIP (RFC3621)
 proxy server. Written entirely in C, ser can handle thousands calls
 per second even on low-budget hardware. C Shell like scripting language
 provides full control over the server's behaviour. It's modular
 architecture allows only required functionality to be loaded.
 Currently the following modules are available: Digest Authentication,
 CPL scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber Gateway, Transaction 
 Module, Registrar and User Location.

Package: ser-mysql-module
Architecture: any
Depends: ${shlibs:Depends}, ser (= ${Source-Version})
Description: contains the mysql database connectivity module
 This has been split out of the main ser package, so that ser will not
 depend upon mysql. This module will enable you to use the digest
 authentication module or persistent user location entries.

Package: ser-jabber-module
Architecture: any
Depends: ${shlibs:Depends}, ser (= ${Source-Version})
Description: contains the jabber module (sip-jabber message translation)
 This has been split out of the main ser package, so that ser will not
 depend upon libexpat. This module will enable you to use ser to translate
  sip messages into jabber messages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# $Id: rules,v 1.4 2002/11/12 17:21:28 andrei Exp $


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all  exclude_modules="mysql jabber" cfg-target=/etc/ser/
	$(MAKE) modules modules=modules/mysql cfg-target=/etc/ser/
	$(MAKE) modules modules=modules/jabber cfg-target=/etc/ser/
	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ser
	$(MAKE) install  exclude_modules="mysql jabber" \
		basedir=$(CURDIR)/debian/ser \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser \
		cfg-target=/etc/ser/
	# install only the mysql module
	$(MAKE) install-modules modules=modules/mysql  \
		basedir=$(CURDIR)/debian/ser-mysql-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-mysql-module \
		cfg-target=/etc/ser/
	#install only the jabber module
	$(MAKE) install-modules modules=modules/jabber  \
		basedir=$(CURDIR)/debian/ser-jabber-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-jabber-module \
		cfg-target=/etc/ser/
	#dh_movefiles



# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: 
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent packages using the common target
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
# We have nothing to do by default.


# Build architecture-dependent packages using the common target
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
